.bg-gray-section {
    background-color: #f2f2f2;
}


/* .custom-color-green {
        background-color: #008000;
        color: white;
    } */



/* start navbar section */

@media (max-width: 991.98px) {
    .nav-section {
        display: none;
    }
    .mobile-menu{
        display: block !important;
    }
}



/* end navbar section */



/* start hero section */

.hero-section-content {
    padding-left: 80px;
    padding-right: 80px;
}



@media (max-width: 991.98px) {
    .hero-section-content {
        padding-left: 20px;
        padding-right: 20px;
    }

    .hero-section-content h1 {
        font-size: 2rem;
        padding-top: 20px;
    }

    .hero-section-content p {
        font-size: 0.9rem !important;
        padding-bottom: 20px;
    }
}


/* end hero section */




/* start booking section */
.search-box {
    position: relative;
    width: 100%;
    max-width: 200px;
}

.search-box input {
    padding-left: 45px;
    border-radius: 50px;
}

.search-box .fa-search {
    position: absolute;
    left: 8px;
    top: 50%;
    transform: translateY(-50%);
    color: #888;
}

.doctor-card {
    width: 250px;
    height: 350px;
    border-radius: 15px;
    overflow: hidden;
    position: relative;
    text-align: center;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    background: #d4d4d4b2;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    cursor: pointer;
}

.doctor-card::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* background: rgba(0, 0, 0, 0.2);  */
    /* background: linear-gradient(to top right, rgba(255, 255, 255, 0.2), rgba(0, 0, 0, 0.3));  */
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0.2) 10%, rgba(0, 0, 0, 0.3) 50%, rgba(0, 0, 0, 0.7) 100%);

    z-index: 1;
}

.doctor-card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 0;
}

.doctor-info {
    position: absolute;
    bottom: 10px;
    /* left: 0%; */
    /* transform: translateX(-50%); */
    /* background: rgba(0, 0, 0, 0.7);  */
    color: white;
    /* padding: 10px 15px; */
    padding-left: 20px;
    border-radius: 10px;
    z-index: 1;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;

    /* width: 100%;  */
    margin-bottom: 10px;
}

.doctor-info p {
    margin: 0px;
}

.doctor-card:hover {
    /* transform: scale(1.05); */
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
    background: #9b9b9bb2;
}

#booking-form .form-control {
    background-color: #f2f2f2;
    /* Light gray background */
    border: 1px solid #ccc;
    /* Optional: Slight border */
    color: #333;
    /* Darker text for readability */
}

.form-control::placeholder {
    color: #888;
    /* Lighter placeholder text */
    opacity: 1;
    /* Ensures full visibility */
}

.active-booking-section-content-header {
    color: #007bff !important;
    position: relative;
    padding-bottom: 10px;
    /* Adjust as needed */
}

.active-booking-section-content-header::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 6px;
    background: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="100%" height="4" viewBox="0 0 100 4" preserveAspectRatio="none"><polyline points="0,4 5,0 10,4 15,0 20,4 25,0 30,4 35,0 40,4 45,0 50,4 55,0 60,4 65,0 70,4 75,0 80,4 85,0 90,4 95,0 100,4" stroke="%23007bff" stroke-width="1" fill="none"/></svg>') repeat-x;
}



@media (max-width: 991.98px) {
    .booking-section-content {
        flex-direction: column-reverse !important;

    }

    #booking-form {
        /* margin-top: -127px;
        z-index: 10;
        position: relative;

        padding: 20px !important; */
    }

    .doctor-card {
        width: 170px;
        height: 270px;
        display: flex;

        flex-wrap: wrap !important;
    }

    .booking-section-content-header h3 {
        font-size: 1.5rem;
    }

    .booking-section-content-header {
        margin-top: 20px;
    }

    .button_appointment_book {
        font-size: 10px !important;
        padding: 10px 20px !important;
        border-radius: 20px !important;

    }

    .button_appointment_book i {
        font-size: 8px !important;
    }
}

@media (min-width: 992px) {
    /* #booking-form {
        margin-top: -550px;
        z-index: 10;
        position: relative;
    } */

}

@media (min-width: 992px) and (max-width: 1200px) {
    .button_appointment_book {
        font-size: 12px !important;
        padding: 10px 20px !important;
        border-radius: 20px !important;

    }

    .button_appointment_book i {
        font-size: 10px !important;
    }
}

@media (min-width: 1400px) {


    #booking-form {
        /* margin-top: -220px;
        z-index: 10;
        position: relative; */
    }


}

/* end booking section */







/* start advice section */

.advice-section {
    padding-top: 200px;
    padding-bottom: 100px;
}

@media (max-width: 767.98px) {

    .advice-container-img img {
        width: 250px !important;
        height: 250px !important;
        top: -160px !important;
        right: calc(50% - 125px) !important;
    }

    .advice-section-content h1 {
        font-size: 2rem;
    }

    .advice-section-content h4 {
        font-size: 1.2rem;
    }

    .advice-section-content button {
        font-size: 1rem;
    }


}


@media (max-width: 991px) {

    .advice-section-content {
        flex-direction: column-reverse;
        align-items: center;
        justify-content: center;
    }

    .advice-container-img img {
        /* padding-top: 200px; */
        width: 300px;
        height: 300px;
        top: -212px;
        right: 196px;
    }

    .advice-section-content h1 {
        padding-top: 50px;
    }


}



@media (min-width: 992px) {


    .advice-section-content {
        flex-direction: column-reverse;
        align-items: center;
        justify-content: center;
    }

}

@media (min-width: 992px) and (max-width: 1200px) {
    .advice-container-img img {
        width: 300px;
        height: 300px;
        top: -160px;
        right: 40px;
    }

    .advice-section-content h1 {
        font-size: 3rem;
    }

    .advice-section-content h4 {
        font-size: 1.5rem;
    }

    .advice-section-content button {
        font-size: 1.2rem;
    }
}

@media (min-width: 1200px) {
    .advice-container-img img {
        /* padding-top: 200px; */
        width: 400px;
        height: 400px;
        top: -160px;
        right: 60px;
    }
}


@media (min-width: 1400px) {


    .advice-container-img img {
        width: 500px;
        height: 500px;
        object-fit: cover;
        border-radius: 50%;
        background-color: white;
        position: absolute;
        top: -200px;
        right: 60px;
    }
}

/* end advice section */

/* start footer section */



.footer-icon-circle {
    display: inline-flex;
    width: 25px;
    height: 25px;
    background-color: #007bff;
    color: white;
    border-radius: 50%;
    justify-content: center;
    align-items: center;
    font-size: 12px;
}

@media (max-width: 991.98px) {
    .footer-section {
        display: none;
    }
}

/* end footer section */


/* start tabs phone footer section */

.tabs-phone-footer-section i {
    height: 40px;
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50% !important;
    /* Ensures a perfect circle */
    /* box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1); */
}
.tabs-phone-footer-section  {
    bottom: 10px;
}


.active-tab-phone-footer i {
    background-color: #007bff;
    color: white !important;
    width: 40px;
    /* Adjust based on your design */
    height: 40px;
    /* Ensures a perfect circle */
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50% !important;
    /* Ensures a perfect circle */
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1);
}

.active-tab-phone-footer p {
    color: #007bff !important;
}



/* end tabs phone footer section */

















/* @media (max-width: 575.98px) {

        }


        @media (min-width: 576px) and (max-width: 767.98px) {

        }


        @media (min-width: 768px) and (max-width: 991.98px) {

        }


        @media (min-width: 992px) and (max-width: 1199.98px) {

        }


        @media (min-width: 1200px) and (max-width: 1399.98px) {

        }


        @media (min-width: 1400px) {

        } */

.carousel-control-prev,
.carousel-control-next {
    width: 40px;
    height: 40px;
    top: 50%;
    transform: translateY(-50%);
    background: none;
    opacity: 1;
}

.carousel-control-prev {
    left: -50px;
}

.carousel-control-next {
    right: -50px;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    width: 30px;
    height: 30px;
    background-size: 60%;
}

.doctor-card {
    width: 22%;
    min-width: 200px;
}

@media (max-width: 992px) {
    .doctor-card {
        width: 45%;
    }
}

.book-btn-container {
    position: absolute;
    width: 80%;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 2;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.doctor-card:hover .book-btn-container {
    opacity: 1;
}

.doctor-card:hover .doctor-info {
    margin-bottom: 30%;
}

@media (max-width: 992px) {
    .book-btn-container {
        opacity: 1 !important;
        position: static;
        transform: none;
        margin-left: auto;
        margin-right: auto;
        margin-top: auto;
        padding: 10px;
    }

    .doctor-card {
        flex-direction: column;
        justify-content: space-between;
    }

    .doctor-info {
        z-index: 2;
    }

    .doctor-card .doctor-info {
        margin-bottom: 30%;
    }
}





#doc-step-booking-date {
    overflow-y: scroll;
    height: 86vh;
}

.doctor-avatar{
    width: 80px;
    height: 80px;
    object-fit: cover;
    border-radius: 50%;
    border: 3px solid #ffffff;
    box-shadow: 0 0 10px 0 rgba(3, 0, 23, 0.585);
}


.service-card-image{
    width: 100%;
    height: 120px;
    object-position: center;
    object-fit: cover;
}



.mobile-menu{
    display: none;
    position: fixed;
    top: 0;
    right: 0;
    z-index: 10000;
  }
.mobile-menu button{
    margin: 10px -1px;
    border-radius: 10px 0px 0px 11px;
}
.mobile-menu button::active , .mobile-menu button:hover{
    border: 2px solid #fdfdfd;
}

  .glass-bg {
    background-color: rgba(255, 255, 255, 0.2); /* light white with transparency */
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.2);
    box-shadow: 0 8px 32px 0 rgb(0 0 0 / 53%);
  }

  .glass-bg-blue {
    background-color: rgb(0 15 37 / 39%);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.2);
    box-shadow: 0 8px 32px 0 rgb(0 12 31 / 87%);

  }
  
  .select2-selection__clear{
    display: none;
  }



/* Active State with Glow */
.bottombar-button.active {
    background: rgba(var(--primary-color), 0.2);
    box-shadow: 0 0 15px rgba(var(--primary-color), 0.6),
                0 0 25px rgba(var(--primary-color), 0.4);
    animation: pulseGlow 1.5s infinite;
}

.bottombar-button.active i {
    /* color: var(--primary-color); */
    font-weight: bold;
    font-size: 2.1rem;
    margin-bottom: 10.9px !important;
    -webkit-text-stroke: 2.1px var(--primary-color);
    text-shadow: 0 0 5px var(--primary-color), 0 0 16px var(--primary-color);
}

.bottombar-button.active p {
    font-weight: bold;
}

/* Icon hover effect */
.bottombar-button:hover i {
    transform: scale(1.2);
    transition: transform 0.2s ease;
}

.bottombar-button:hover  {
    color: var(--primary-color);

}
.bottombar-button p {
    font-size: 12px;
    margin-top: 4px;
}

.whitespace-nowrap{
    white-space: nowrap;
}

/* Glowing pulse animation */
/* @keyframes pulseGlow {
    0% { box-shadow: 0 0 10px rgba(131, 131, 131, 0.6); }
    50% { box-shadow: 0 0 25px rgba(75, 76, 76, 0.8); }
    100% { box-shadow: 0 0 10px rgba(41, 42, 42, 0.6); }
} */
 

.footer-section {
    width: 100%;
    position: relative;
    bottom: 0;
}


